- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/patch#body.aspect)

Updates an existing DeltaSharing catalog.

### HTTP request

`PATCH https://biglake.googleapis.com/deltasharing/v1/{deltaSharingCatalog.name=projects/*/catalogs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `deltaSharingCatalog.name` | `string` Identifier. The resource name. Format: projects/{project}/catalogs/{catalog} |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs#DeltaSharingCatalog`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs#DeltaSharingCatalog`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).